# Uses of Class
org.springframework.util.function.SingletonSupplier

Packages that use SingletonSupplier
Package
Description
org.springframework.util.function
Useful generic `java.util.function` helper classes.

## Uses of SingletonSupplier in org.springframework.util.function

Methods in org.springframework.util.function that return SingletonSupplier
Modifier and Type
Method
Description
`static <T> SingletonSupplier<T>`
SingletonSupplier.`of(Supplier<T> supplier)`
Build a `SingletonSupplier` with the given supplier.
`static <T> SingletonSupplier<T>`
SingletonSupplier.`of(T instance)`
Build a `SingletonSupplier` with the given singleton instance.
`static <T> SingletonSupplier<T>`
SingletonSupplier.`ofNullable(Supplier<T> supplier)`
Build a `SingletonSupplier` with the given supplier.
`static <T> SingletonSupplier<T>`
SingletonSupplier.`ofNullable(T instance)`
Build a `SingletonSupplier` with the given singleton instance.